<!DOCTYPE html>
<html><head><title>todoFocus.js
 - Stryker report</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link rel="stylesheet" href="../strykerResources/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="../strykerResources/highlightjs/styles/default.css">
<link rel="stylesheet" href="../strykerResources/stryker.css"></head>
<body><img class="stryker-image" alt="Stryker" src="../strykerResources/stryker-80x80.png">
<div class="container-fluid"><div class="row"><div class="col-lg-12"><h1 class="display-4">todoFocus.js
 
<small class="text-muted">- Stryker report</small></h1></div></div>
<ol class="breadcrumb"><li class="breadcrumb-item"><a href="../index.html">All files</a></li><li class="breadcrumb-item"><a href="index.html">directives</a></li>
<li class="breadcrumb-item active">todoFocus.js</li></ol>
<div class="row"><div class="col-lg-12"><div class="row"><div class="col-sm-11"><table class="table table-sm table-hover table-bordered table-no-top"><thead><tr><th style="width: 20%"><div><span>File / Directory</span></div></th>
<th colspan="2"><div><span>Mutation score</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Killed</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Survived</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Timeout</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># No coverage</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Runtime errors</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Transpile errors</span></div></th>
<th class="rotate rotate-width-70 text-center" style="width: 70px"><div><span>Total detected</span></div></th>
<th class="rotate rotate-width-70 text-center" style="width: 70px"><div><span>Total undetected</span></div></th>
<th class="rotate rotate-width-70 text-center" style="width: 70px"><div><span>Total mutants</span></div></th></tr></thead>
<tbody><tr><td>todoFocus.js</td>
<td><div class="progress"><div class="progress-bar bg-warning" role="progressbar" aria-valuenow="75.00" aria-valuemin="0" aria-valuemax="100" style="width: 75.00%;">75.00
%</div></div></td>
<th class="text-center text-warning" style="width: 10%">75.00</th>
<td class="text-center">4</td>
<td class="text-center">2</td>
<td class="text-center">2</td>
<td class="text-center">0</td>
<td class="text-center">0</td>
<td class="text-center">0</td>
<th class="text-center">6</th>
<th class="text-center">2</th>
<th class="text-center">8</th></tr>
</tbody></table></div></div>
<div class="row"><div class="col-lg-7"><div class="row legend"><form class="col-md-12" novalidate="novalidate">
<div class="form-check form-check-inline"><label class="form-check-label"><input class="form-check-input stryker-display" checked value="2" type="checkbox">
Survived
 
(2)</label></div>
<div class="form-check form-check-inline"><label class="form-check-label"><input class="form-check-input stryker-display" value="1" type="checkbox">
Killed
 
(4)</label></div>
<div class="form-check form-check-inline"><label class="form-check-label"><input class="form-check-input stryker-display" value="3" type="checkbox">
TimedOut
 
(2)</label></div>


<a href="#" class="stryker-collapse-expand-all">Expand all</a></form></div>
<pre><code class="lang-javascript"><span class="bg-null">/*global angular */

/**
 * Directive that places focus on the element it is applied to when the
 * expression it binds to evaluates to true
 */
angular.module(&#039;todomvc&#039;)
	.directive(&#039;todoFocus&#039;, function todoFocus($timeout) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: TimedOut" data-mutant-status-annotation="warning" data-mutant-status="3" data-mutant="0"><span class="badge badge-warning">0</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="0">{
}</span><span class="stryker-original-code" data-mutant="0"><span class="bg-warning-light">{
		&#039;use strict&#039;;

		return function (scope, elem, attrs) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="1"><span class="badge badge-success">1</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="1">{
}</span><span class="stryker-original-code" data-mutant="1"><span class="bg-warning-light">{
			scope.$watch(attrs.todoFocus, function (newVal) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="2"><span class="badge badge-success">2</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="2">{
}</span><span class="stryker-original-code" data-mutant="2"><span class="bg-warning-light">{
				if (</span><a href="#" class="stryker-mutant-button" tabindex="0" title="RemoveConditionals" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="3"><span class="badge badge-success">3</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="3">false</span><a href="#" class="stryker-mutant-button" tabindex="0" title="RemoveConditionals" data-content="status: TimedOut" data-mutant-status-annotation="warning" data-mutant-status="3" data-mutant="4"><span class="badge badge-warning">4</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="4">true</span><span class="stryker-original-code" data-mutant="3"><span class="stryker-original-code" data-mutant="4"><span class="bg-warning-light">newVal</span></span></span><span class="bg-warning-light">) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="5"><span class="badge badge-success">5</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="5">{
}</span><span class="stryker-original-code" data-mutant="5"><span class="bg-warning-light">{
					$timeout(function () </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Survived" data-mutant-status-annotation="danger" data-mutant-status="2" data-mutant="6"><span class="badge badge-danger">6</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="6">{
}</span><span class="stryker-original-code" data-mutant="6"><span class="bg-danger-light">{
						elem[0].focus();
					}</span></span><span class="bg-warning-light">, 0, </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BooleanSubstitution" data-content="status: Survived" data-mutant-status-annotation="danger" data-mutant-status="2" data-mutant="7"><span class="badge badge-danger">7</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="7">true</span><span class="stryker-original-code" data-mutant="7"><span class="bg-danger-light">false</span></span><span class="bg-warning-light">);
				}</span></span><span class="bg-warning-light">
			}</span></span><span class="bg-warning-light">);
		}</span></span><span class="bg-warning-light">;
	}</span></span><span class="bg-null">);</span>
</code></pre></div>
<div class="col-lg-5"><table class="table table-sm table-hover mutant-table"><thead><tr><th>#</th>
<th>Mutator</th>
<th>State</th>
<th>Location</th>
<th>Original</th>
<th>Replacement</th></tr></thead>
<tbody><tr><th>0</th>
<td>BlockStatement</td>
<td>TimedOut</td>
<td>7
:
54</td>
<td><code>{
		...;
	}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>1</th>
<td>BlockStatement</td>
<td>Killed</td>
<td>10
:
39</td>
<td><code>{
		...
		}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>2</th>
<td>BlockStatement</td>
<td>Killed</td>
<td>11
:
51</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>3</th>
<td>RemoveConditionals</td>
<td>Killed</td>
<td>12
:
8</td>
<td><code></code></td>
<td><code></code></td></tr>
<tr><th>4</th>
<td>RemoveConditionals</td>
<td>TimedOut</td>
<td>12
:
8</td>
<td><code></code></td>
<td><code></code></td></tr>
<tr><th>5</th>
<td>BlockStatement</td>
<td>Killed</td>
<td>12
:
16</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>6</th>
<td>BlockStatement</td>
<td>Survived</td>
<td>13
:
26</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>7</th>
<td>BooleanSubstitution</td>
<td>Survived</td>
<td>15
:
11</td>
<td><code></code></td>
<td><code></code></td></tr></tbody></table></div></div></div></div>
<footer>Generated with stryker-html-reporter generator. Visit the 
<a href="http://stryker-mutator.github.io" target="_blank">Stryker website</a></footer></div>
<script src="../strykerResources/popper.js/dist/umd/popper.min.js" defer="defer"></script>
<script src="../strykerResources/jquery/dist/jquery.slim.min.js" defer="defer"></script>
<script src="../strykerResources/bootstrap/js/bootstrap.min.js" defer="defer"></script>
<script src="../strykerResources/stryker.js" defer="defer"></script></body></html>